> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Award Type

> Retrieve a single award type by its identifier. All fields are included by default.



## OpenAPI

````yaml /api-reference/openapi.yml get /award-types/{slug}
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /award-types/{slug}:
    get:
      tags:
        - Award
      summary: Award Type
      description: >-
        Retrieve a single award type by its identifier. All fields are included
        by default.
      operationId: getAwardType
      parameters:
        - in: path
          name: slug
          schema:
            type: string
          required: true
          description: Slug of the award type to get
      responses:
        '200':
          description: A single award type object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                  data:
                    $ref: '#/components/schemas/AwardType'
components:
  schemas:
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    AwardType:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        league:
          type: string
          nullable: true
        leagueSlug:
          type: string
          nullable: true
        types:
          type: array
          items:
            $ref: '#/components/schemas/AwardType_Type'
        trophyIcon:
          properties:
            url:
              type: string
              nullable: true
          nullable: true
        isHighlighted:
          type: boolean
        links:
          properties:
            eliteprospectsUrl:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    AwardType_Type:
      type: string
      enum:
        - player
        - staff
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````